Gecode::Int::TaskTraits< Cumulative::OptFixPTask > Class Reference

Task traits for optional fixed tasks. More...

`#include <cumulative.hh>`

## Public Types

typedef Cumulative::OptFixPTaskFwd | TaskViewFwd
| The forward task view type.
typedef Cumulative::OptFixPTaskBwd | TaskViewBwd
| The backward task view type.
typedef Cumulative::ManFixPTask | ManTask
| The corresponding mandatory task.
typedef Unary::OptFixPTask | UnaryTask
| The corresponding unary task type.

## Detailed Description

Task traits for optional fixed tasks.

Definition at line 490 of file cumulative.hh.

## Member Typedef Documentation

## TaskViewFwd

typedef Cumulative::OptFixPTaskFwd Gecode::Int::TaskTraits< Cumulative::OptFixPTask >::TaskViewFwd

The forward task view type.

Definition at line 493 of file cumulative.hh.

## TaskViewBwd

typedef Cumulative::OptFixPTaskBwd Gecode::Int::TaskTraits< Cumulative::OptFixPTask >::TaskViewBwd

The backward task view type.

Definition at line 495 of file cumulative.hh.

## ManTask

typedef Cumulative::ManFixPTask Gecode::Int::TaskTraits< Cumulative::OptFixPTask >::ManTask

The corresponding mandatory task.

Definition at line 497 of file cumulative.hh.

## UnaryTask

typedef Unary::OptFixPTask Gecode::Int::TaskTraits< Cumulative::OptFixPTask >::UnaryTask

The corresponding unary task type.

Definition at line 499 of file cumulative.hh.

The documentation for this class was generated from the following file:

- gecode/int/cumulative.hh